diff --git a/Config.in.legacy b/Config.in.legacy
index 46f7a304cb..6dac729f95 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -146,6 +146,14 @@ endif
 
 comment "Legacy options removed in 2024.05"
 
+config BR2_PACKAGE_ONEVPL_INTEL_GPU
+	bool "onevpl-intel-gpu has been renamed"
+	select BR2_LEGACY
+	select BR2_PACKAGE_INTEL_VPL_GPU_RT
+	help
+	  The onevpl-intel-gpu package has been renamed to
+	  intel-vpl-gpu-rt.
+
 config BR2_GCC_VERSION_11_X
 	bool "gcc 11.x support removed"
 	select BR2_LEGACY
diff --git a/DEVELOPERS b/DEVELOPERS
index fbd1209830..c870863609 100644
--- a/DEVELOPERS
+++ b/DEVELOPERS
@@ -384,6 +384,7 @@ F:	package/intel-gmmlib/
 F:	package/intel-mediadriver/
 F:	package/intel-mediasdk/
 F:	package/intel-microcode/
+F:	package/intel-vpl-gpu-rt/
 F:	package/jsoncpp/
 F:	package/kodi*
 F:	package/lame/
@@ -455,7 +456,6 @@ F:	package/monero/
 F:	package/mpg123/
 F:	package/ntp/
 F:	package/nut/
-F:	package/onevpl-intel-gpu/
 F:	package/opus/
 F:	package/p2pool/
 F:	package/pciutils/
diff --git a/package/Config.in b/package/Config.in
index 2d826b45dc..e3eadc2ff5 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -1665,6 +1665,7 @@ menu "Graphics"
 	source "package/intel-gmmlib/Config.in"
 	source "package/intel-mediadriver/Config.in"
 	source "package/intel-mediasdk/Config.in"
+	source "package/intel-vpl-gpu-rt/Config.in"
 	source "package/irrlicht/Config.in"
 	source "package/jasper/Config.in"
 	source "package/jbig2dec/Config.in"
@@ -1711,7 +1712,6 @@ menu "Graphics"
 	source "package/libvpl/Config.in"
 	source "package/libwpe/Config.in"
 	source "package/menu-cache/Config.in"
-	source "package/onevpl-intel-gpu/Config.in"
 	source "package/opencl-clhpp/Config.in"
 	source "package/opencv3/Config.in"
 	source "package/opencv4/Config.in"
diff --git a/package/onevpl-intel-gpu/Config.in b/package/intel-vpl-gpu-rt/Config.in
similarity index 69%
rename from package/onevpl-intel-gpu/Config.in
rename to package/intel-vpl-gpu-rt/Config.in
index 740e954ee5..da26ea6aa5 100644
--- a/package/onevpl-intel-gpu/Config.in
+++ b/package/intel-vpl-gpu-rt/Config.in
@@ -1,5 +1,5 @@
-config BR2_PACKAGE_ONEVPL_INTEL_GPU
-	bool "onevpl-intel-gpu"
+config BR2_PACKAGE_INTEL_VPL_GPU_RT
+	bool "intel-vpl-gpu-rt"
 	depends on BR2_x86_64 # intel-mediadriver
 	depends on BR2_PACKAGE_LIBVPL_ARCH_SUPPORTS # libvpl
 	depends on BR2_INSTALL_LIBSTDCPP # libvpl
@@ -12,12 +12,13 @@ config BR2_PACKAGE_ONEVPL_INTEL_GPU
 	select BR2_PACKAGE_LIBVA
 	select BR2_PACKAGE_LIBVPL
 	help
-	  Intel® oneVPL GPU Runtime is a Runtime implementation of
-	  oneVPL API for Intel Gen GPUs, starting with Tiger Lake.
+	  Intel® Video Processing Library (Intel® VPL) GPU Runtime is a
+	  Runtime implementation of Intel® VPL API for Intel Gen GPUs,
+	  starting with Tiger Lake.
 
-	  https://github.com/oneapi-src/oneVPL-intel-gpu
+	  https://github.com/intel/vpl-gpu-rt
 
-comment "onevpl-intel-gpu needs a toolchain w/ dynamic library, gcc >= 7, C++, NPTL"
+comment "intel-vpl-gpu-rt needs a toolchain w/ dynamic library, gcc >= 7, C++, NPTL"
 	depends on BR2_x86_64
 	depends on BR2_PACKAGE_LIBVPL_ARCH_SUPPORTS
 	depends on BR2_TOOLCHAIN_HAS_SYNC_1
diff --git a/package/onevpl-intel-gpu/onevpl-intel-gpu.hash b/package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.hash
similarity index 80%
rename from package/onevpl-intel-gpu/onevpl-intel-gpu.hash
rename to package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.hash
index 59b1c5a23c..6b57b4674c 100644
--- a/package/onevpl-intel-gpu/onevpl-intel-gpu.hash
+++ b/package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.hash
@@ -1,3 +1,3 @@
 # Locally computed
-sha256  b261d87d91a56a6a462f6a129ddd97945a49637995ee6aa67ebd9b26c0a3c1a0  onevpl-intel-gpu-24.2.1.tar.gz
+sha256  b261d87d91a56a6a462f6a129ddd97945a49637995ee6aa67ebd9b26c0a3c1a0  intel-vpl-gpu-rt-24.2.1.tar.gz
 sha256  c31c3cc5fd66d1250dbca1c3d9011a9f874537442ac71c8de80f2f0fed13f297  LICENSE
diff --git a/package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.mk b/package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.mk
new file mode 100644
index 0000000000..e3ca68926e
--- /dev/null
+++ b/package/intel-vpl-gpu-rt/intel-vpl-gpu-rt.mk
@@ -0,0 +1,15 @@
+################################################################################
+#
+# intel-vpl-gpu-rt
+#
+################################################################################
+
+INTEL_VPL_GPU_RT_VERSION = 24.2.1
+INTEL_VPL_GPU_RT_SITE = $(call github,intel,vpl-gpu-rt,intel-onevpl-$(INTEL_VPL_GPU_RT_VERSION))
+INTEL_VPL_GPU_RT_LICENSE = MIT
+INTEL_VPL_GPU_RT_LICENSE_FILES = LICENSE
+INTEL_VPL_GPU_RT_CPE_ID_VENDOR = intel
+INTEL_VPL_GPU_RT_CPE_ID_PRODUCT = onevpl_gpu_runtime
+INTEL_VPL_GPU_RT_DEPENDENCIES = libva libvpl
+
+$(eval $(cmake-package))
diff --git a/package/onevpl-intel-gpu/onevpl-intel-gpu.mk b/package/onevpl-intel-gpu/onevpl-intel-gpu.mk
deleted file mode 100644
index a68e628182..0000000000
--- a/package/onevpl-intel-gpu/onevpl-intel-gpu.mk
+++ /dev/null
@@ -1,15 +0,0 @@
-################################################################################
-#
-# onevpl-intel-gpu
-#
-################################################################################
-
-ONEVPL_INTEL_GPU_VERSION = 24.2.1
-ONEVPL_INTEL_GPU_SITE = $(call github,oneapi-src,oneVPL-intel-gpu,intel-onevpl-$(ONEVPL_INTEL_GPU_VERSION))
-ONEVPL_INTEL_GPU_LICENSE = MIT
-ONEVPL_INTEL_GPU_LICENSE_FILES = LICENSE
-ONEVPL_INTEL_GPU_CPE_ID_VENDOR = intel
-ONEVPL_INTEL_GPU_CPE_ID_PRODUCT = onevpl_gpu_runtime
-ONEVPL_INTEL_GPU_DEPENDENCIES = libva libvpl
-
-$(eval $(cmake-package))